#pragma once
#include <stdarg.h>
#include <tccore/custom.h>
#include <server_exits/user_server_exits.h>
#include "kutil.h"
#include <list>
#include <algorithm>

#ifdef __cplusplus
extern "C" {
#endif

DLLAPI int USERSERVICE_custom_register_methods();
DLLAPI int USERSERVICE_custom_register_handlers(int* decision, va_list args);

int QF_ERP_wl(EPM_action_message_t msg);
int QF_ERP_BOM(EPM_action_message_t msg);
int QF_ERP_BOP(EPM_action_message_t msg);
int QF_Delete_TCM(EPM_action_message_t msg);
//int connor_send_envelop(void * returnValue);
int WX3_send_mail(void * returnValue);
#define debug true

#ifdef __cplusplus
}
#endif

